Get Member transactions
curl --request GET \
--url https://ge-exchange-staging-1.herokuapp.com/v1/api/members/{id}/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://ge-exchange-staging-1.herokuapp.com/v1/api/members/{id}/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ge-exchange-staging-1.herokuapp.com/v1/api/members/{id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Member transactions gotten successfully",
"data": {
"page": 1,
"pages": 1,
"count": 2,
"total": 2,
"transactions": [
{
"type": "Fund",
"status": "Completed",
"_id": "6716af80c7a5870051434a81",
"user": "67141fc06328250002a4c389",
"token": {
"price": {
"buy": 1,
"sell": 1,
"exchange": 1
},
"prev_price": {
"buy": 0,
"sell": 0,
"exchange": 10
},
"min": {
"buy": 0,
"sell": 0
},
"max": {
"buy": 0,
"sell": 0
},
"vol": {
"buy": 0,
"sell": 0
},
"min_trade": {
"buy": 10,
"sell": 10
},
"max_trade": {
"buy": 10,
"sell": 10
},
"type": "Private",
"deal_access": "Private",
"investment_type": "SAFE",
"payout_frequency": "Monthly",
"raise_amount": 0,
"buy_fee": 2,
"sell_fee": 2,
"carry": 10,
"management_fee": 1,
"valuation": 0,
"discount": 0,
"interest": 0,
"dividend": 0,
"tenor": 0,
"secondaries": true,
"completed_raise": false,
"supply": 5000000,
"total_supply": 0,
"total_raised": 0,
"exited": false,
"post_raise_valuation": 0,
"milestone": "0",
"total_allocated": 0,
"cancelled": false,
"_id": "6009cc245334d80004832831",
"reference": 111111111,
"name": "GetEquity USD Token",
"image": "https://i.picsum.photos/id/1025/4951/3301.jpg?hmac=_aGh5AtoOChip_iaMo8ZvvytfEojcgqbCH7dzaz-H8Y",
"symbol": "GUSD",
"contract": "0xDcab3FFef2C9fD70Cb2E09A7e0D2355c22575f12",
"creator": null,
"createdAt": "2021-01-21T18:47:00.231Z",
"updatedAt": "2021-01-21T18:47:00.231Z",
"country": "USD",
"risk": "High",
"currency": "USD"
},
"reference": "GETXN_FW_bWzXyOzRMiqtRq",
"from": "600b828378c202000457ed47",
"to": "67141fc06328250002a4c389",
"volume": 1000,
"price": null,
"paymentId": "7868873",
"providerName": "flutterwave",
"createdAt": "2024-10-21T19:46:08.968Z",
"updatedAt": "2024-10-21T19:46:08.968Z",
"__v": 0
},
{
"type": "Fund",
"status": "Completed",
"_id": "6716a4d912aa7e0058403d6e",
"user": "67141fc06328250002a4c389",
"token": {
"price": {
"buy": 1,
"sell": 1,
"exchange": 10
},
"prev_price": {
"buy": 10,
"sell": 10,
"exchange": 10
},
"min": {
"buy": 0,
"sell": 0
},
"max": {
"buy": 0,
"sell": 0
},
"vol": {
"buy": 0,
"sell": 0
},
"min_trade": {
"buy": 10,
"sell": 10
},
"max_trade": {
"buy": 10,
"sell": 10
},
"type": "Private",
"deal_access": "Private",
"investment_type": "SAFE",
"payout_frequency": "Monthly",
"raise_amount": 0,
"buy_fee": 2,
"sell_fee": 2,
"carry": 10,
"management_fee": 1,
"valuation": 0,
"discount": 0,
"interest": 0,
"dividend": 0,
"tenor": 0,
"secondaries": true,
"completed_raise": false,
"supply": 5000000000,
"total_supply": 0,
"total_raised": 0,
"exited": false,
"post_raise_valuation": 0,
"milestone": "0",
"total_allocated": 0,
"cancelled": false,
"_id": "65a506b666ebdd0002805cdd",
"name": "GetEquity NGN Token",
"reference": 222222222,
"image": "https://i.ibb.co/4jDtPr5/Logomark.png",
"symbol": "GNGN",
"creator": null,
"createdAt": "2024-01-15T10:19:34.107Z",
"updatedAt": "2024-01-15T10:19:34.107Z",
"currency": "NGN"
},
"reference": "GETXN_FW_I4XRJYpleaftdH",
"from": "600b828378c202000457ed47",
"to": "67141fc06328250002a4c389",
"volume": 1000000,
"price": null,
"paymentId": "7867395",
"providerName": "flutterwave",
"createdAt": "2024-10-21T19:00:41.212Z",
"updatedAt": "2024-10-21T19:00:41.212Z",
"__v": 0
}
]
}
}
Members
Get Member transactions
Get a user’s transactions on the getequity platform
GET
api
/
members
/
{id}
/
transactions
Get Member transactions
The ID of the member whose tokens needs to be retrieved.
{
"status": "success",
"message": "Member transactions gotten successfully",
"data": {
"page": 1,
"pages": 1,
"count": 2,
"total": 2,
"transactions": [
{
"type": "Fund",
"status": "Completed",
"_id": "6716af80c7a5870051434a81",
"user": "67141fc06328250002a4c389",
"token": {
"price": {
"buy": 1,
"sell": 1,
"exchange": 1
},
"prev_price": {
"buy": 0,
"sell": 0,
"exchange": 10
},
"min": {
"buy": 0,
"sell": 0
},
"max": {
"buy": 0,
"sell": 0
},
"vol": {
"buy": 0,
"sell": 0
},
"min_trade": {
"buy": 10,
"sell": 10
},
"max_trade": {
"buy": 10,
"sell": 10
},
"type": "Private",
"deal_access": "Private",
"investment_type": "SAFE",
"payout_frequency": "Monthly",
"raise_amount": 0,
"buy_fee": 2,
"sell_fee": 2,
"carry": 10,
"management_fee": 1,
"valuation": 0,
"discount": 0,
"interest": 0,
"dividend": 0,
"tenor": 0,
"secondaries": true,
"completed_raise": false,
"supply": 5000000,
"total_supply": 0,
"total_raised": 0,
"exited": false,
"post_raise_valuation": 0,
"milestone": "0",
"total_allocated": 0,
"cancelled": false,
"_id": "6009cc245334d80004832831",
"reference": 111111111,
"name": "GetEquity USD Token",
"image": "https://i.picsum.photos/id/1025/4951/3301.jpg?hmac=_aGh5AtoOChip_iaMo8ZvvytfEojcgqbCH7dzaz-H8Y",
"symbol": "GUSD",
"contract": "0xDcab3FFef2C9fD70Cb2E09A7e0D2355c22575f12",
"creator": null,
"createdAt": "2021-01-21T18:47:00.231Z",
"updatedAt": "2021-01-21T18:47:00.231Z",
"country": "USD",
"risk": "High",
"currency": "USD"
},
"reference": "GETXN_FW_bWzXyOzRMiqtRq",
"from": "600b828378c202000457ed47",
"to": "67141fc06328250002a4c389",
"volume": 1000,
"price": null,
"paymentId": "7868873",
"providerName": "flutterwave",
"createdAt": "2024-10-21T19:46:08.968Z",
"updatedAt": "2024-10-21T19:46:08.968Z",
"__v": 0
},
{
"type": "Fund",
"status": "Completed",
"_id": "6716a4d912aa7e0058403d6e",
"user": "67141fc06328250002a4c389",
"token": {
"price": {
"buy": 1,
"sell": 1,
"exchange": 10
},
"prev_price": {
"buy": 10,
"sell": 10,
"exchange": 10
},
"min": {
"buy": 0,
"sell": 0
},
"max": {
"buy": 0,
"sell": 0
},
"vol": {
"buy": 0,
"sell": 0
},
"min_trade": {
"buy": 10,
"sell": 10
},
"max_trade": {
"buy": 10,
"sell": 10
},
"type": "Private",
"deal_access": "Private",
"investment_type": "SAFE",
"payout_frequency": "Monthly",
"raise_amount": 0,
"buy_fee": 2,
"sell_fee": 2,
"carry": 10,
"management_fee": 1,
"valuation": 0,
"discount": 0,
"interest": 0,
"dividend": 0,
"tenor": 0,
"secondaries": true,
"completed_raise": false,
"supply": 5000000000,
"total_supply": 0,
"total_raised": 0,
"exited": false,
"post_raise_valuation": 0,
"milestone": "0",
"total_allocated": 0,
"cancelled": false,
"_id": "65a506b666ebdd0002805cdd",
"name": "GetEquity NGN Token",
"reference": 222222222,
"image": "https://i.ibb.co/4jDtPr5/Logomark.png",
"symbol": "GNGN",
"creator": null,
"createdAt": "2024-01-15T10:19:34.107Z",
"updatedAt": "2024-01-15T10:19:34.107Z",
"currency": "NGN"
},
"reference": "GETXN_FW_I4XRJYpleaftdH",
"from": "600b828378c202000457ed47",
"to": "67141fc06328250002a4c389",
"volume": 1000000,
"price": null,
"paymentId": "7867395",
"providerName": "flutterwave",
"createdAt": "2024-10-21T19:00:41.212Z",
"updatedAt": "2024-10-21T19:00:41.212Z",
"__v": 0
}
]
}
}
Was this page helpful?
⌘I
